> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all links, or links matching the given criteria

> For the request body, an asterisk (*) can be used in place of an ID to indicate a wildcard



## OpenAPI

````yaml /api-reference/4.2/service-links.json get /links
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service links
servers:
  - url: /api/apollo/
security: []
tags:
  - name: links
paths:
  /links:
    get:
      tags:
        - 4.2 Links API
      summary: Get all links, or links matching the given criteria
      description: >-
        For the request body, an asterisk (*) can be used in place of an ID to
        indicate a wildcard
      operationId: listLinks
      parameters:
        - name: subject
          in: query
          description: Return only links with a matching subject
          required: false
          schema:
            type: string
            default: '*'
        - name: object
          in: query
          description: Return only links with a matching object
          required: false
          schema:
            type: string
            default: '*'
        - name: linkType
          in: query
          description: Return only links with a matching type
          required: false
          schema:
            type: string
            default: '*'
        - name: transitive
          in: query
          description: Return transitive links
          required: false
          schema:
            type: boolean
            default: false
        - name: bypassCache
          in: query
          description: Bypass the cache and retrieve directly from storage
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Link'
components:
  schemas:
    Link:
      type: object
      properties:
        subject:
          $ref: '#/components/schemas/FusionResource'
        object:
          $ref: '#/components/schemas/FusionResource'
        linkType:
          type: string
          readOnly: true
          enum:
            - DependsOn
            - Supports
            - IsPartOf
            - HasPart
            - RelatesTo
            - InContextOf
            - HasContext
            - Self
        originator:
          type: string
          readOnly: true
    FusionResource:
      type: object
      properties:
        type:
          type: string
          enum:
            - APPKIT_APP
            - WEBAPP_ADMIN_APP
            - APP
            - COLLECTION
            - INDEX_PIPELINE
            - INDEX_STAGE
            - QUERY_STAGE
            - QUERY_PIPELINE
            - INDEX_PROFILE
            - QUERY_PROFILE
            - BLOB
            - PARSER
            - DATASOURCE
            - TASK
            - SCHEDULE
            - SEARCH_CLUSTER
            - EXPERIMENT
            - SPARK_JOB
            - GROUP
            - CUSTOM_RULE_TYPE
            - TYPE
            - RESOURCE
            - 'NULL'
        id:
          type: string
        canonicalName:
          type: string
        uri:
          type: string
          format: uri

````